NXWidgets: NXWidgets::CWidgetControl::SXYInput Struct Reference

NXWidgets 1.19

Public Attributes | List of all members
NXWidgets::CWidgetControl::SXYInput Struct Reference

`#include <cwidgetcontrol.hxx>`

## Public Attributes
uint16_t | leftPressed: 1
uint16_t | centerPressed: 1
uint16_t | rightPressed: 1
uint16_t | leftHeld: 1
uint16_t | centerHeld: 1
uint16_t | rightHeld: 1
uint16_t | leftDrag: 1
uint16_t | centerDrag: 1
uint16_t | rightDrag: 1
uint16_t | leftReleased: 1
uint16_t | centerReleased: 1
uint16_t | rightReleased: 1
uint16_t | doubleClick: 1
uint16_t | unused: 3
uint8_t | leftPressed: 1
uint8_t | leftHeld: 1
uint8_t | leftDrag: 1
uint8_t | leftReleased: 1
uint8_t | doubleClick: 1
uint8_t | unused: 3
nxgl_coord_t | x
nxgl_coord_t | y
nxgl_coord_t | lastX
nxgl_coord_t | lastY
struct timespec | leftPressTime
struct timespec | leftReleaseTime

## Detailed Description

Structure holding the status of the Mouse or Touchscreen. There must be one instance of this structure per window instance. The content of this structure is update by the CGraphicsPort on each NX mouse callback

Definition at line 106 of file cwidgetcontrol.hxx.

## Member Data Documentation

## ◆ centerDrag

uint16_t NXWidgets::CWidgetControl::SXYInput::centerDrag

Center button held down (or touchscreen contact)

Definition at line 129 of file cwidgetcontrol.hxx.

## ◆ centerHeld

uint16_t NXWidgets::CWidgetControl::SXYInput::centerHeld

Center button held down (not used with touchscreen)

Definition at line 123 of file cwidgetcontrol.hxx.

## ◆ centerPressed

uint16_t NXWidgets::CWidgetControl::SXYInput::centerPressed

Center button pressed (not used with touchscreen)

Definition at line 117 of file cwidgetcontrol.hxx.

## ◆ centerReleased

uint16_t NXWidgets::CWidgetControl::SXYInput::centerReleased

Center button release (or loss of touchscreen contact)

Definition at line 135 of file cwidgetcontrol.hxx.

## ◆ doubleClick [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::doubleClick

Left button double click

Definition at line 139 of file cwidgetcontrol.hxx.

## ◆ doubleClick [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::doubleClick

Left button double click

Definition at line 150 of file cwidgetcontrol.hxx.

## ◆ lastX

nxgl_coord_t NXWidgets::CWidgetControl::SXYInput::lastX

X coordinate of the mouse at the previous poll

Definition at line 160 of file cwidgetcontrol.hxx.

## ◆ lastY

nxgl_coord_t NXWidgets::CWidgetControl::SXYInput::lastY

Y coordinate of the mouse at the previous poll

Definition at line 162 of file cwidgetcontrol.hxx.

## ◆ leftDrag [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::leftDrag

Left button held down (or touchscreen contact)

Definition at line 127 of file cwidgetcontrol.hxx.

## ◆ leftDrag [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::leftDrag

Left button held down (or touchscreen contact)

Definition at line 146 of file cwidgetcontrol.hxx.

## ◆ leftHeld [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::leftHeld

Left button held down (or touchscreen contact)

Definition at line 121 of file cwidgetcontrol.hxx.

## ◆ leftHeld [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::leftHeld

Left button held down (or touchscreen contact)

Definition at line 144 of file cwidgetcontrol.hxx.

## ◆ leftPressed [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::leftPressed

Left button pressed (or touchscreen contact)

Definition at line 115 of file cwidgetcontrol.hxx.

## ◆ leftPressed [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::leftPressed

Left button pressed (or touchscreen contact)

Definition at line 142 of file cwidgetcontrol.hxx.

## ◆ leftPressTime

struct timespec NXWidgets::CWidgetControl::SXYInput::leftPressTime

Time the left button was pressed

Definition at line 164 of file cwidgetcontrol.hxx.

## ◆ leftReleased [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::leftReleased

Left button release (or loss of touchscreen contact)

Definition at line 133 of file cwidgetcontrol.hxx.

## ◆ leftReleased [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::leftReleased

Left button release (or loss of touchscreen contact)

Definition at line 148 of file cwidgetcontrol.hxx.

## ◆ leftReleaseTime

struct timespec NXWidgets::CWidgetControl::SXYInput::leftReleaseTime

Time the left button was released

Definition at line 166 of file cwidgetcontrol.hxx.

## ◆ rightDrag

uint16_t NXWidgets::CWidgetControl::SXYInput::rightDrag

Right button held down (or touchscreen contact)

Definition at line 131 of file cwidgetcontrol.hxx.

## ◆ rightHeld

uint16_t NXWidgets::CWidgetControl::SXYInput::rightHeld

Right button held down (not used with touchscreen)

Definition at line 125 of file cwidgetcontrol.hxx.

## ◆ rightPressed

uint16_t NXWidgets::CWidgetControl::SXYInput::rightPressed

Right button pressed (not used with touchscreen)

Definition at line 119 of file cwidgetcontrol.hxx.

## ◆ rightReleased

uint16_t NXWidgets::CWidgetControl::SXYInput::rightReleased

Right button release (or loss of touchscreen contact)

Definition at line 137 of file cwidgetcontrol.hxx.

## ◆ unused [1/2]

uint16_t NXWidgets::CWidgetControl::SXYInput::unused

Padding bits

Definition at line 140 of file cwidgetcontrol.hxx.

## ◆ unused [2/2]

uint8_t NXWidgets::CWidgetControl::SXYInput::unused

Padding bits

Definition at line 151 of file cwidgetcontrol.hxx.

## ◆ x

nxgl_coord_t NXWidgets::CWidgetControl::SXYInput::x

Current X coordinate of the mouse/touch

Definition at line 156 of file cwidgetcontrol.hxx.

## ◆ y

nxgl_coord_t NXWidgets::CWidgetControl::SXYInput::y

Current Y coordinate of the mouse/touch

Definition at line 158 of file cwidgetcontrol.hxx.

The documentation for this struct was generated from the following file:

- cwidgetcontrol.hxx